<template>
  <v-dialog max-width="600px" v-model="dialog">
    <v-btn flat slot="activator" class="orange darken-4 white--text">
      <v-icon left>remove</v-icon>Delete Movie
    </v-btn>
    <v-card>
      <v-card-title>
        <h2 class="font-weight-regular grey--text text--darken-1">
          Delete a movie
        </h2>
      </v-card-title>
      <v-card-text>
        <v-form class="px-">
          <v-autocomplete
            prepend-icon="movie"
            label="Movie"
            v-model="movieToDelete"
            :items="getMovieNames"
          />
          <v-btn class="orange darken-4 white--text" flat @click="submit"
            >Delete Movie</v-btn
          >
        </v-form>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
import { mapState } from "vuex";
export default {
  data() {
    return {
      dialog: false,
      movieToDelete: ""
    };
  },
  computed: {
    ...mapState({
      movies: state => state.movies.list
    }),
    getMovieNames() {
      return this.movies.map(movie => ({
        text: movie.name,
        value: movie
      }));
    }
  },
  methods: {
    submit() {
      this.$store.dispatch("movies/delete", this.movieToDelete);
      this.$store.dispatch("navBar/closeDrawer");
    }
  }
};
</script>
